package frc.robot.interfaces;

import java.util.Optional;
import java.util.OptionalDouble;
import java.util.OptionalInt;

import edu.wpi.first.math.geometry.Transform2d;

public interface IAprilTagProvider {
    public OptionalInt getClosestTagID();

    public OptionalDouble getDistanceToTag(int tagID);

    public Optional<Transform2d> getTransformRobotRelative(int tagID);
}
